-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at: http://license.coscl.org.cn/MulanPSL2
--
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

if ProcessingFlow[1].Destination.HostName == '' then
    return null
end

if ProcessingFlow[1].Destination.DomainName == '' then
    return ProcessingFlow[1].Destination.HostName
else
    local fqdn = ProcessingFlow[1].Destination.HostName .. '.' .. ProcessingFlow[1].Destination.DomainName
    return fqdn
end
